Bug 1575705 - [abrt] filezilla: std::__replacement_assert(): filezilla killed by SIGABRT
Summary: [abrt] filezilla: std::__replacement_assert(): filezilla killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: filezilla
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd4111b4a2a1a8f2e89608e8e4a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 17:00 UTC by Erik Lentz
Modified: 2019-05-28 22:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:45:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.80 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: core_backtrace (37.06 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: dso_list (10.05 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: environ (1.41 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: maps (54.29 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: mountinfo (4.04 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: open_fds (1.01 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-05-07 17:00 UTC, Erik Lentz
no flags Details

Description Erik Lentz 2018-05-07 17:00:29 UTC
Description of problem:
1. Have a large queue, in a paused state
2. Shift-select a large quantity of items
3. CTRL-CLICK to remove one item from that select
Crash

Version-Release number of selected component:
filezilla-3.32.0-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        filezilla
crash_function: std::__replacement_assert
executable:     /usr/bin/filezilla
journald_cursor: s=3498d952362848c38bcd45bcaad1f23e;i=6019;b=b0d94a37070549278ef0494148e1c3f3;m=47a009a6c0;t=56ba09053b8b2;x=5e732cd8623bf489
kernel:         4.16.5-300.fc28.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Erik Lentz 2018-05-07 17:00:34 UTC
Created attachment 1432738 [details]
File: backtrace

Comment 2 Erik Lentz 2018-05-07 17:00:35 UTC
Created attachment 1432739 [details]
File: cgroup

Comment 3 Erik Lentz 2018-05-07 17:00:36 UTC
Created attachment 1432740 [details]
File: core_backtrace

Comment 4 Erik Lentz 2018-05-07 17:00:36 UTC
Created attachment 1432741 [details]
File: cpuinfo

Comment 5 Erik Lentz 2018-05-07 17:00:38 UTC
Created attachment 1432742 [details]
File: dso_list

Comment 6 Erik Lentz 2018-05-07 17:00:39 UTC
Created attachment 1432743 [details]
File: environ

Comment 7 Erik Lentz 2018-05-07 17:00:40 UTC
Created attachment 1432744 [details]
File: limits

Comment 8 Erik Lentz 2018-05-07 17:00:41 UTC
Created attachment 1432745 [details]
File: maps

Comment 9 Erik Lentz 2018-05-07 17:00:42 UTC
Created attachment 1432746 [details]
File: mountinfo

Comment 10 Erik Lentz 2018-05-07 17:00:43 UTC
Created attachment 1432747 [details]
File: open_fds

Comment 11 Erik Lentz 2018-05-07 17:00:43 UTC
Created attachment 1432748 [details]
File: proc_pid_status

Comment 12 Tyler Voll 2018-09-11 23:49:23 UTC
Similar problem has been detected:

Was queueing more files to be transferred over (after removing a selected few), and it crashed as soon as I tried to queue those extra files.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        filezilla
crash_function: std::__replacement_assert
executable:     /usr/bin/filezilla
journald_cursor: s=0566125486db41fea5edde7a480d9b0e;i=26c2;b=8a785f1338cd42159ad0692712a4e109;m=8a83d176;t=575a10a68de22;x=9a19733fb6bdbc43
kernel:         4.16.15-300.fc28.x86_64
package:        filezilla-3.36.0-1.fc28
reason:         filezilla killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Tyler Voll 2018-10-05 14:17:22 UTC
Similar problem has been detected:

Tried to requeue failed transfers and then filezilla crashed

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        filezilla
crash_function: std::__replacement_assert
executable:     /usr/bin/filezilla
journald_cursor: s=842648a68926434080cd1b4bef11180c;i=2b635;b=3f0aebaef27e4fef942d81439cf087b3;m=515429fe7c;t=5777bddeedcd1;x=cbe52eb33773c5e
kernel:         4.18.9-200.fc28.x86_64
package:        filezilla-3.36.0-1.fc28
reason:         filezilla killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Ben Cotton 2019-05-02 20:44:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 22:45:33 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.